net.i2p.sam

## Class SAMv3Handler.MessageDispatcher

- java.lang.Object
- - net.i2p.sam.SAMv3Handler.MessageDispatcher

All Implemented Interfaces:
  Runnable

Enclosing class:
  SAMv3Handler

    public static class SAMv3Handler.MessageDispatcher
    extends Object
    implements Runnable

### Field Summary

Fields
`(package private) ByteArrayInputStream` `is`

### Constructor Summary

Constructors
Constructor and Description
`SAMv3Handler.MessageDispatcher(byte[] buf)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### is

    ByteArrayInputStream is

### Constructor Detail

#### SAMv3Handler.MessageDispatcher

    public SAMv3Handler.MessageDispatcher(byte[] buf)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`